Failed to compile, upgrading from v8 to v9.1

0
Dear All, I am trying to upgrade my v8 project to v9.1, and am coming across the current error.  I have upgraded all the add-ins I have used, but to no avail.   I have checked on the community commons Github, but there does not appear to be any reference to this.  Please help! This is the output: Buildfile: C:\Users\...\deployment\build_core.xml compile:     [javac] Compiling 452 source files to C:\Users\...\deployment\run\bin     [javac] C:\Users\...\javasource\communitycommons\Misc.java:360: error: method execute in class Core cannot be applied to given types;     [javac]         return Core.execute(c, microflowName, params);     [javac]                    ^     [javac]   required: T     [javac]   found: IContext,String,Map<String,Object>     [javac]   reason: cannot infer type-variable(s) T,R     [javac]     (actual and formal argument lists differ in length)     [javac]   where T,R are type-variables:     [javac]     T extends CoreAction<R> declared in method <T,R>execute(T)     [javac]     R extends Object declared in method <T,R>execute(T)     [javac] C:\Users\...\javasource\communitycommons\Misc.java:590: warning: [dep-ann] deprecated item is not annotated with @Deprecated     [javac]     public static boolean objectsAreEqual(Object left, Object right) {     [javac]                           ^     [javac] Note: Some input files use or override a deprecated API.     [javac] Note: Recompile with -Xlint:deprecation for details.     [javac] 1 error     [javac] 1 warning BUILD FAILED C:\Users\...\deployment\build_core.xml:29: Compile failed; see the compiler error output for details. Total time: 24 seconds
asked
1 answers
2

Dear All,

Found the answer – sorry for posting.  For anybody suffering the same problem, the resolution is to replace communitycommons\Misc.java with the new version, available for download from the Community Commons Github (yes – it was actually there), at:

Link

answered